<?php
include_once("../php/config.php");
include_once("../header.php");


?>


<script>

	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";
		
	}
</script>

<style>
  .transparent {
    background-color: transparent !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }

  .left-border-none {
    border-left: none !important;
    box-shadow: inset 0px 1px 0 rgba(0, 0, 0, .075);
  }
</style>
<div class="container-fluid">
  <ol class="breadcrumb" style="padding: 8px;">
    <li><a href="#">Compras</a></li>
    <li><a href="#">Nueva compra</a></li>
    <li class="active"><?php echo fecha($hoy) ?></li>
    <div style="float: right;">


      <span class='text-success bold'>No. compra</span>


      <input type="text" id="txt-compra" class="form-control1" placeholder="No. factura" disabled>


	<span class='text-success bold'>Placa transporte</span>


      <input type="text" id="placa" class="form-control1" placeholder="Numero de placa del camion">

      <span class='text-success bold'>NCF</span>


      <input type="text" id="ncf" class="form-control1" placeholder="Comprobante fiscal">


    </div>

    <br> <br>

  </ol>
  <h3 class="text-success"><i class="fa fa-cart-arrow-down fa-lg"></i> Nueva compra a productores</h3>
  <input type="hidden" class="form-control mt-2 bold" id="txt-folio">
  <div class="row">
    <div class="col-md-1 mt-2">
      <label for="folio" class="bold">Producto</label>
    </div>

    <div class="form-group">
      <div class="col-xs-3">
        <div class="input-group">
          <span class="input-group-addon transparent"><i class="fa fa-barcode fa-lg"></i></span>
          <input id="txt-buscar" onClick="modalProductos()" class="form-control left-border-none" placeholder="Click aqui para buscar en la lista" type="text">
        </div>
      </div>
      <div class="col-md-5">

        <button class="btn btn-default  btn-md" onclick="nuevo()"><i class="fa fa-file fa-lg"></i> Nueva compra</button>
        <button class="btn btn-default  btn-md" onclick="modalNota()"> <i class="fa fa-list-alt fa-lg"> </i> Agregar nota</button>
        <button class="btn btn-default  btn-md" onclick="window.open('../productos/productos.php?', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');"> <i class="fa fa-list-alt fa-lg"> </i> Catlgo</button>

        <button class="btn btn-success  btn-md" onclick="grabar()"> <i class="fa fa-save fa-lg"> </i> Grabar</button>

      </div>

    </div>
    <script>
      function modalNota() {
        $("#modalNota").modal("show");
        $("#txt-nota").focus().select();
      }
    </script>
    <input type="hidden" name="" id="txt-costo">




    <div style="float: right; margin-right: 10px; ">

      <input type="hidden" id="txt-impuestos">
      <span class="h3">TOTALES</span>
      <hr>
      <span class="h5 text-danger mt-2 bold" style="display: none;">ITBIS: <span id="lb-impuestos">0.00</span> </span><br>

      <span class="h3 text-success">DOP$: <span id="lb-total">0.00</span> </span>
    </div>

  </div>


  <div class="row">

    <div class="col-md-2">
      <center><b class="mt-2"> Variedad</b> <a href="javascript:void(0)" onClick="nueva_variedad()">| Nueva variedad</a> </center>
      <select class="form-control  mb-2" id="variedad">

        <option value="" selected>Sel. variedad</option>
        <?php $sql2 = mysql_query("select * from variedad_productos order by variedad asc") ?>

        <?php while ($r = mysql_fetch_array($sql2)) { ?>
          <option value="<?php echo $r['variedad'] ?>"><?php echo $r['variedad'] ?></option>
        <?php } ?>
      </select>
    </div>
    <script>
      function nueva_variedad() {
        window.open('../productos/variedad.php', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

      }
    </script>

    <div class="col-md-2">
      <center><b class="mt-2"> Confer<a href="javascript:void(0)" onClick="modalChofer()">| Crear Nuevo</a></b></center>
      <select class="form-control  mb-2" id="chofer" onchange="ver_chofer(this.value)">

        <option value="" selected>Sel. chofer</option>
        <?php $sql2 = mysql_query("select * from choferes order by nombre asc") ?>

        <?php while ($r = mysql_fetch_array($sql2)) { ?>
          <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
        <?php } ?>
      </select>
    </div>
    <script>
      function modalChofer() {
        $("#modalChofer").modal("show");
        $("#modalChofer .form-control").val("");
        $("#nombre").focus();
      }
    </script>



    <div class="col-md-2">
      <center><b class="mt-2"> Tipo chofer</b></center>
      <select class="form-control  mb-2" id="tipo2">

        <option value="" selected>Sel. tipo</option>
        <option value="Sindicato">Sindicato</option>
        <option value="Empleado">Empleado</option>
      </select>
    </div>

    <div class="col-md-2">

      <center> <b>Pago flete</center>
      <input type="number" id="flete" class="form-control" placeholder="DOP$ 0.00">
    </div>

  </div>
</div>

<div class="panel panel-success">
  <div class="panel-heading">

  </div>
  <div class="panel-body">
    <div id="lista">

    </div>
  </div>
</div>




<div class="well">

  <div class="row">
    <div class="col-md-2">

      <center> <b>CANT. SACOS </center>
      <input type="number" id="sacos" class="form-control txtCalculo" onblur="set_cantidad()">
    </div>

    <div class="col-md-2">
      <center>Total fanega</center>
      <input type="text" class="form-control txtCalculo" id="fanega">
    </div>






    <div class="col-md-2">
      <center>Decuento %</center>
      <input type="text" class="form-control txtCalculo" id="descuento">
    </div>

    <div class="col-md-2">
      <center>Tara</center>
      <input type="text" class="form-control" id="tara" onBlur="calculo2()">
    </div>


    <div class="col-md-2">
      <center> Descuencto sacos</center>
      <input type="text" class="form-control" id="descuento-saco" disabled>
    </div>


    <div class="col-md-2">
      <center> Precio</center>

      <input type="text" class="form-control" id="precio" disabled>
    </div>

    <div class="col-md-2">
      <center> NETO:</center>
      <input type="text" class="form-control text-primary" id="neto" disabled>
    </div>


    <div class="col-md-2">
      <center>PRODUCCION</center>
      <input type="number" id="produccion" class="form-control text-success" disabled>

    </div>

    <div class="col-md-2">
      <center>..</center>
      <button class="btn btn-success" onclick="calculo()"><i class="fa fa-calck fa-lg"></i>Calcular produccion</button>
    </div>

  </div>

</div>

</div>






<!---Modal productos-->
<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <input class="form-control mb-2" type="search" id="txt-buscar2" onkeyup="lista_productos(this.value)">
        <div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">

        </div>
      </div>
      <div class="modal-footer">
        <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal detalle-->
<div class="modal" id="modalDetalle" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / costo</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label>Cantidad</label>
        <input class="form-control mb-2 bold" type="text" id="txt-cantidad">

        <label>Costo</label>
        <input class="form-control mb-2 bold text-success" type="text" id="txt-costo0">



      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_detalle()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>
        <a href="javascript:void(0)" class="btn btn-default" onClick="borrar()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Borrar</a>
        <a href="javascript:void(0)" class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>




<!---Modal nota-->
<div class="modal" id="modalNota" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / costo</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Agregar nota(Nombre del proveedor, telefono o direccion)</label>
        <textarea id="txt-nota" class="form-control">

              </textarea>



      </div>
      <div class="modal-footer">
        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

      </div>
    </div>
  </div>
</div>





<!---Modal grabar-->
<div class="modal" id="modalGrabar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Grabar compra</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">

        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">Termino</b>
          </div>
          <div class="col-md-9">
            <select class="form-control  mb-2" id="termino">

              <!--option value="Contado">Contado</option-->
              <option value="Credito">Credito</option>
              <!--option value="Cheque">Cheque</option>
              <option value="Tarjeta">Tarjeta</option-->



            </select>
          </div>
        </div>




        <div class="row">
          <div class="col-md-3">
            <b>proveedor</b>
          </div>
          <div class="col-md-9">
            <select class="form-control  mb-2" id="proveedores">

              <option value="Generico" selected>Prod. Generico</option>
              <?php $sql2 = mysql_query("select * from proveedores order by nombre asc") ?>

              <?php while ($r = mysql_fetch_array($sql2)) { ?>
                <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_preveedor'] ?>)<?php echo $r['nombre'] ?></option>
              <?php } ?>
            </select>
          </div>
        </div>

        <div class="row">
          <div class="col-md-3">
            <b>Monto produccion</b>
          </div>
          <div class="col-md-9">
            <input type="number" id="txt-monto" placeholder="0.00" class="form-control bold text-success " disabled>
          </div>
        </div>
        <hr>
        <div class="row">
          <div class="col-md-3">
            <b class="text-primary">FECHA PAGAR</b>
          </div>
          <div class="col-md-9">
            <input type="date" id="fecha" placeholder="0.00" class="form-control bold text-danger" onKeyUp="devuelta()">
          </div>
        </div>

        <br>

      </div>
      <div class="modal-footer">
        <button id="btn-grabar" class="btn btn-success" onclick="grabar_venta()"> Grabar venta</button>

        <a href="javascript:void(0)" class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<!---Modal chofer-->
<div class="modal" id="modalChofer" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h2 class="modal-title text-dark" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Chofer</h2>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">


        <form name="frm" action="" method="POST" id="frm">



          <div class="row">
            <label for="id" class="col-sm-3 col-form-label">Id</label>
            <div class="col-sm-3">
              <input autocomplete="off" type="text" class="form-control  mb-2" id="id-chofer" value="" disabled>
            </div>
          </div>

          <div class="row">
            <label for="id" class="col-sm-3 col-form-label">Nombre</label>
            <div class="col-sm-9">
              <input autocomplete="off" type="text" class="form-control mb-2 font-weight-bolde" id="nombre" name="nombre" value="">
            </div>
          </div>

          <div class="row">
            <label for="cedula" class="col-sm-3 col-form-label">Cedula</label>
            <div class="col-sm-9">
              <input autocomplete="off" type="text" class="form-control mb-2" id="cedula" name="cedula" value="">
            </div>
          </div>


          <div class="row">
            <label for="telefono" class="col-sm-3 col-form-label">Telefono</label>
            <div class="col-sm-9">
              <input autocomplete="off" type="text" class="form-control mb-2" id="telefono" name="telefono" value="">
            </div>
          </div>

          <div class="row">
            <label for="direccion" class="col-sm-3 col-form-label">Direccion</label>
            <div class="col-sm-9">
              <input autocomplete="off" type="text" class="form-control mb-2" id="direccion" name="direccion" value="">
            </div>
          </div>


          <div class="row">
            <div class="col-md-3">
              <b class="mt-2"> Tipo chofer</b>
            </div>
            <div class="col-md-3">
              <select class="form-control  mb-2" id="tipo1">

                <option value="" selected>Sel. tipo</option>
                <option value="Sindicato">Sindicato</option>
                <option value="Empleado">Empleado</option>
              </select>


            </div>
          </div>






        </form>

      </div>
      <div class="modal-footer">
        <button class="btn btn-success" type="button" onclick="grabar_chofer()"><i class="fa fa-w fa-save"></i> Grabar</button>

        <button class="btn btn-warning" type="button" onclick="borrar_chofer()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

        <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
      </div>
    </div>
  </div>


  <?php
  include("../footer.php");
  ?>

  <script type="text/javascript">
    $(".txtCalculo").on("blur", function() {
      calculo();
    })


    function calculo() {
      var precio = $("#precio").val()
      var sacos = $("#sacos").val()
      var fanega = $("#fanega").val()
      var medio_kilo = parseFloat(sacos) / 2
        var tara = medio_kilo / 100;
        $("#tara").val(tara)
      var ntara = $("#tara").val()
      var descuento = $("#descuento").val();
      var descuento_saco = parseFloat(fanega) * parseFloat(descuento) / 100;
      $("#descuento-saco").val(descuento_saco.toFixed(2));
      var total_descuentos = (parseFloat(ntara) + parseFloat(descuento_saco))
      var neto = parseFloat(fanega) - total_descuentos
      $("#neto").val(neto.toFixed(2));
      var produccion = neto * parseFloat(precio)
      $("#produccion").val(produccion.toFixed(2));
      $("#txt-monto").val(produccion.toFixed(2));

    }
    var id_detalle;

    function mainSelect() {
      var x = "select * from detalle_compra_factoria where folio='" + folio + "' order by id_detalle desc limit 1";
      _enviar("../php/traer_datos.php", {
          "sql": x
        })
        .done(function(data) {
          var r = JSON.parse(data)
          id_detalle = r.data[0].id_detalle;
          $("#sacos").val(r.data[0].cantidad)


        })
    }



function calculo2() {
      var precio = $("#precio").val()
      var sacos = $("#sacos").val()
      var fanega = $("#fanega").val()
      var medio_kilo = parseFloat(sacos) / 2
      //var tara = medio_kilo / 100;
        //$("#tara").val(tara)
      var ntara = $("#tara").val()
      var descuento = $("#descuento").val();
      var descuento_saco = parseFloat(fanega) * parseFloat(descuento) / 100;
      $("#descuento-saco").val(descuento_saco.toFixed(2));
      var total_descuentos = (parseFloat(ntara) + parseFloat(descuento_saco))
      var neto = parseFloat(fanega) - total_descuentos
      $("#neto").val(neto.toFixed(2));
      var produccion = neto * parseFloat(precio)
      $("#produccion").val(produccion.toFixed(2));
      $("#txt-monto").val(produccion.toFixed(2));

    }
    var id_detalle;

    function mainSelect() {
      var x = "select * from detalle_compra_factoria where folio='" + folio + "' order by id_detalle desc limit 1";
      _enviar("../php/traer_datos.php", {
          "sql": x
        })
        .done(function(data) {
          var r = JSON.parse(data)
          id_detalle = r.data[0].id_detalle;
          $("#sacos").val(r.data[0].cantidad)


        })
    }
    function set_cantidad() {

      var ca = parseFloat($("#sacos").val());

      if (ca == "" || ca <= 0 || isNaN(ca)) {
        return;
      }

      var q = "update detalle_compra_factoria set cantidad='" + ca + "', total_costo=costo * '" + ca + "' where id_detalle='" + id_detalle + "'";
      _enviar("../php/update.php", {
          sql: q
        })
        .done(function(data) {
          lista(folio);
        })
    }

    afolio();

    function lista(folio) {
      try {
        $.get("carrito.php?folio=" + folio, function(data, st) {
          if (st == "success") {
            $("#lista").html(data);
            suma()
          }
        });
      } catch (e) {
        alert(e.message)
      }
    }

    $("#termino").change(function() {
      var termino = $("#termino").val()
      if (termino == "Credito" || termino == "Conduce") {
        //$("#txt-pagado").val("");
        // $("#txt-pagado").prop("disabled", true);
        //$("#txt-devuelta").val("");
        // $("#txt-devuelta").prop("disabled", true);

      } else {
        //$("#txt-pagado").val("");
        // $("#txt-pagado").prop("disabled", false);
        //  $("#txt-devuelta").val("");


      }

    })


    ////LISTA PRODUCTOS///
    function lista_productos(v) {
      try {
        var sql = "select * from productos where descripcion like '%arroz%'";
        _enviar("../php/traer_datos.php", {
            "sql": sql
          })
          .done(function(data) {
            if (data == "null") {
              $("#lista-productos").html("No hay datos para mostrar");
              return;
            }
            var rs = JSON.parse(data);
            var tabla = "<table style='width:100%'><th>Producto</th><th>costo</th>";
            var id_;
            for (var i in rs.data) {
              id_ = rs.data[i].id_producto
              tabla += "<tr>";
              tabla += "<td><a href='javascript:void(0)' onclick='get_lista(" + id_ + ")'>" + rs.data[i].descripcion + "</a></td>";
              tabla += "<td>" + rs.data[i].costo + "</td>";
              tabla += "</tr>";

            }
            tabla += "</table>";
            $("#lista-productos").html(tabla);
            $("td").addClass("font-weight-light");

          })
      } catch (e) {
        alert(e.message)
      }
    }


    function modalProductos() {
      $("#modalProductos").modal("show");
      $("#lista-productos").html("<small class='text-primary'>Buscando productos...</small>");
      $("#txt-buscar2").focus().select();
      lista_productos($("#txt-buscar2").val());
      $("#txt-buscar").val("")
      ///$("#txt-buscar2").val("")
    }

    var costo = 0;

    var descripcion = "";
    var codigo = "";
    var id_producto = 0;
    var folio = 0;
    var tipo_impuesto = 0;
    var valor_impuesto = 0;
    var total_impuesto = 0;

    function get_lista(id) {
      var sql = "select * from productos where id_producto='" + id + "'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (var i in rs.data) {
            id_producto = rs.data[i].id_producto;
            codigo = rs.data[i].codigo;
            descripcion = rs.data[i].descripcion;
            costo = rs.data[i].costo;

            tipo_impuesto = rs.data[i].tipo_impuestos;
            valor_impuesto = rs.data[i].valor_impuestos;
            $("#variedad option[value='" + rs.data[i].variedad + "']").prop('selected', true);
            $("#precio").val(rs.data[i].costo)


          }
          agregar(codigo, descripcion, costo, costo, tipo_impuesto, valor_impuesto);

        })
    }

    function agregar(codigo, descripcion, costo, costo, tipo_impuesto, valor_impuesto) {

      if (codigo == "") {
        alert('Producto no encontrado');
        return
      }
      $("#sacos").val("1")
      $("#precio").val(costo)
      var sql = "";

      sql = "INSERT INTO detalle_compra_factoria set";
      sql += " descripcion='" + descripcion + "'";
      sql += ", codigo='" + codigo + "'";
      //sql+=", costo='"+costo+"'";
      //sql+=", total_costo='"+costo+"'";
      sql += ", costo='" + costo + "'";
      sql += ", total_costo='" + costo + "'";
      sql += ", tipo_impuesto='" + tipo_impuesto + "'";
      sql += ", valor_impuesto='" + valor_impuesto + "'";
      //sql+=", total_impuesto='"+valor_impuesto+"'"; 
      sql += ", cantidad=1";
      sql += ", fecha=NOW()";
      sql += ", usuario='" + myUser + "'";
      sql += ", folio='" + folio + "'";
      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "1") {
            lista(folio);
            $(".modal").modal('hide');
            $("#txt-buscar").val("");
            $("#txt-buscar2").val("");
            $("#txt-buscar").focus().select();
            mainSelect();

          } else {
            alert(data)
          }
        })

    }


    var total = 0.00;
    var total_costo = 0.00;
    var total_impuesto = 0.00;

    function suma() {
      var sql = "select total_costo,total_costo, tipo_impuesto, valor_impuesto from detalle_compra_factoria where folio='" + folio + "'";
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "null") {
            $("#lb-total").html("0.00")
            $("#lb-impuestos").html("0.00");

            $("#txt-impuestos").val("");
            $("#txt-monto").val("");
            $("#txt-costo0").val("");
            $("#txt-costo").val("");
            total = 0.00;
            total_costo = 0.00
            total_impuesto = 0.00
            c = 0;
            return;
          }

          var rs = JSON.parse(data);
          c = 0;
          for (var i in rs.data) {
            total += parseFloat(rs.data[i].total_costo);
            total_costo += parseFloat(rs.data[i].total_costo);
            total_impuesto += parseFloat(rs.data[i].valor_impuesto);
            c++;
          }


          $("#lb-total").html(numeral(total_costo).format('0,0.00'))
          $("#lb-impuestos").html(numeral(total_impuesto).format('0,0.00'))
          $("#txt-impuestos").val(total_impuesto);
          //$("#txt-monto").val(total_costo);
          $("#txt-costo").val(total_costo);
          $("#txt-costo0").val(total_costo);
          total = 0.00;
          total_costo = 0.00
          total_impuesto = 0.00;

        })
    }



    function ver(v) {
      $(".form-control").val("");
      var sql = "select * from detalle_compra_factoria where id_detalle='" + v + "'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (var i in rs.data) {
            id_detalle = rs.data[i].id_detalle
            $("#modalDetalle").modal("show");

            $("#txt-cantidad").val(rs.data[i].cantidad)
            $("#txt-costo").val(rs.data[i].costo)
            $("#txt-costo0").val(rs.data[i].costo)
            $("#txt-cantidad").focus().select();



          }


        })
    }

    function update_detalle() {
      var cantidad = $("#txt-cantidad").val();
      $("#sacos").val(cantidad)

      var lcosto = $("#txt-costo0").val()
      $("#precio").val(lcosto)
      if (cantidad == "" || parseFloat(cantidad) <= 0 || lcosto == "" || parseFloat(lcosto) <= 0) {
        alert('Datos invalido');
        return
      }
      var sql = "";

      sql = "UPDATE detalle_compra_factoria set";
      sql += " cantidad='" + cantidad + "'";
      sql += ", costo='" + lcosto + "'";
      //sql+=", total_costo=costo *'"+costo+"'";
      sql += ", total_costo=costo * '" + cantidad + "'";
      sql += ", total_impuesto=total_impuesto * '" + cantidad + "'";
      sql += " WHERE id_detalle='" + id_detalle + "'";
      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "1") {
            lista(folio);
            $(".modal").modal('hide');

          } else {
            alert(data)
          }
        })
    }


    function borrar() {
      var sql = "";
      sql = "delete from detalle_compra_factoria";
      sql += " WHERE id_detalle='" + id_detalle + "'";
      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "1") {
            lista(folio);
            suma()
            $(".modal").modal('hide');

          } else {
            alert(data)
          }
        })
    }

    function nuevo() {
      if (!confirm("Limpiar los datos de esta compra?")) {
        return;
      }
      var sql = "";
      sql = "delete from detalle_compra_factoria";
      sql += " WHERE folio='" + folio + "'";
      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          if (data == "1") {
            lista(folio);
            total_costo = 0;
            total_costo = 0;
            total_impuestos = 0;
            id_detalle = "";

            $("#lb-total").html("0.00");
            $("#lb-impuestos").html("0.00");
            $("#txt-monto").val("");
            $("#txt-costo").val("");
            $("#txt-impuestos").val("");



          } else {
            alert(data)
          }
        })
    }

    ////FOLIO///
    function afolio() {
      var sql = "select * from parametros"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (var i in rs.data) {
            $("#txt-compra").val(rs.data[i].folio_compra_factoria);
            folio = (rs.data[i].folio_compra_factoria);
            lista(folio)


            mainSelect();
          }

        })
    }

    function grabar() {
	 if($("#placa").val()==""){
		  alert("Falta la placa del camion");
        return
	 }
      var itotal = $("#txt-monto").val()
      var ican = $("#sacos").val()
      var ifan = $("#fanega").val()
      if (itotal == "" || ican == "" || ifan == "") {
        alert("Falta informacion");
        return
      }

      $("#modalGrabar").modal("show");
      //$("#txt-pagado").focus().select();


    }













    /*GRABAR VENTA*/

    function grabar_venta() {
		
      var monto = $("#txt-monto").val()
      // var pago_con = $("#txt-pagado").val()
      // var devuelta = $("#txt-devuelta").val()

      var proveedor = $("#proveedores").val()
      var costo = $("#txt-costo").val()
      var impuestos = $("#txt-impuestos").val()
      var nota = $("#txt-nota").val()
      var fecha = $("#fecha").val()

      if (proveedor == "Generico") {
        alert("Debe seleccionar un proveedor");
        return;
      }

      if (fecha == "") {
        alert("Debe seleccionar una fecha de pago valida");
        return;
      }






      var sql = "";
      sql = "INSERT INTO compra_factoria set ";
      sql += " fecha=NOW()";
      sql += ", hora=NOW()";
      sql += ", productor='" + proveedor + "'";
      //sql+=", costo='"+costo+"'"; 

      sql += ", variedad='" + $("#variedad").val() + "'";
      sql += ", usuario='" + myUser + "'";
      sql += ", folio='" + folio + "'";
      sql += ", sacos='" + $("#sacos").val() + "'";
      sql += ", tara='" + $("#tara").val() + "'";
      sql += ", fanega='" + $("#fanega").val() + "'";
      sql += ", per_descuento='" + $("#descuento").val() + "'";
      sql += ", descuento_saco='" + $("#descuento-saco").val() + "'";
      sql += ", neto='" + $("#neto").val() + "'";
      sql += ", nota='" + nota + "'";
      sql += ", ncf='" + $("#ncf").val() + "'";
      sql += ", precio='" + $("#precio").val() + "'";
      sql += ", produccion='" + $("#produccion").val() + "'";
      sql += ", fecha_entrega='" + $("#fecha").val() + "'";
      sql += ", sacos_devueltos='" + $("#sacos_devueltos").val() + "'";
      sql += ", chofer='" + $("#chofer").val() + "'";
      sql += ", tipo_chofer='" + $("#tipo2").val() + "'";
	  sql += ", placa='" + $("#placa").val() + "'";
      sql += ", pago_flete='" + $("#flete").val() + "'";
      sql += ", balance='" + $("#produccion").val() + "'";
      if (termino == "Credito") {
        sql += ", balance='" + monto + "'";
      }



      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {
            scan_detalle();

            ncf = $("#ncf").val()
            if (termino != "Conduce") {
              generar_ncf();
            }
            if (parseFloat($("#flete").val()) > 0) {
              egreso();
            }

          } else {
            alert(data);
            $("#btn-grabar").show()
          }

        })


    }


    function scan_detalle() {
      try {
        var sql = "";
        sql = "select * from detalle_compra_factoria where folio='" + folio + "'";
        _enviar("../php/traer_datos.php", {
            "sql": sql
          })
          .done(function(data) {
            var rs = JSON.parse(data);

            for (i in rs.data) {

              kardex(rs.data[i].codigo, rs.data[i].descripcion, rs.data[i].cantidad, "Compra : " + folio, "Entrada", rs.data[i].almacen, rs.data[i].id_detalle, rs.data[i].costo, rs.data[i].valor_impuesto, rs.data[i].costo)
            }

          })


      } catch (e) {
        alert(e.message)
      }

    }




    ////KARDEX////
    contado = 0;
    c = 0;

    function kardex(codigo, descripcion, cantidad, concepto, tipo, almacen, id_inventario, costo, valor_impuesto, costo) {
      try {
        var datos = "codigo=" + codigo
        datos += "&descripcion=" + descripcion
        datos += "&cantidad=" + cantidad
        datos += "&concepto=" + concepto
        datos += "&tipo=" + tipo
        datos += "&costo=" + costo
        datos += "&precio=" + costo
        datos += "&almacen=" + myAlmacen2
        datos += "&valor_impuesto=" + valor_impuesto

        datos += "&usuario=" + myUser

        $.get("kardex.php?" + datos, function(data, st) {
          if (st == "success") {

            contado++;
            //alert(contado+" - "+c)
            if (contado == c) {

              $("button").prop("disabled", true);
              $("#btn-grabar").hide()

              update_folio()

              contado = 0;
            }
          }
        });
      } catch (e) {
        alert(e.message)
      }

    }







    function update_folio() {
      var sql = "";
      sql = "UPDATE parametros set";
      sql += " folio_compra_factoria=folio_compra_factoria+1";


      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {
            ///alert("Compra " + folio + " grabada con exito")

            //$(".modal").modal('hide');
            window.open('ticket_compra_factoria.php?folio=' + folio, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

            window.location.reload()
            $("button").prop("disabled", false);
          } else {
            alert(data);
            $("#btn-grabar").show()

          }

        })
    }
    /*!GRABAR VENTA*/

    ///NCF//
    var ncf = "";
    var ncf_generado = "";
    var secuencia = "";
    var tipo_ncf = "";

    function generar_ncf() {
      /*
  var sql = "update ncf set secuencia=secuencia+1 where prefijo='"+ncf+"'";

  _enviar("../php/update.php",{sql:sql})
  .done( function( data ){
    if(data!="1"){alert(data); return;}
    
    
  })
*/
    }

    get_ncf()

    function get_ncf() {
      /* 
ncf = $("#ncf").val()  
var sql="select * from ncf where prefijo='"+ncf+"'"
_enviar("../php/traer_datos.php",{sql:sql})
.done( function ( data ){
  var rs = JSON.parse(data);
   secuencia = rs.data[0].secuencia;
   tipo_ncf = rs.data[0].tipo;


});
  */
    }
















    function devuelta() {
      /*
            var monto = $("#txt-monto").val()
            //var pagado = $("#txt-pagado").val()
            if (parseFloat(pagado) > parseFloat(monto)) {
              var res = parseFloat(pagado) - parseFloat(monto);
            //  $("#txt-devuelta").val(res);
            } else {
              //$("#txt-devuelta").val("");
            }
      */
    }

    function grabar_chofer() {
      var id_chofer = $("#id-chofer").val()
      if (!confirm("Seguro(a) que desea registrar este chofer?")) {
        return;
      }

      var nombre = $("#nombre").val();
      var cedula = $("#cedula").val();
      var telefono = $("#telefono").val();
      var direccion = $("#direccion").val();
      var tipo1 = $("#tipo1").val();




      if (nombre == "") {
        alert('Faltan datos');
        return
      }
      var sql = "";
      if (id_chofer == "") {
        sql = "INSERT INTO choferes set ";
        sql += "nombre='" + nombre + "'";
        sql += ", cedula='" + cedula + "'";
        sql += ", telefono='" + telefono + "'";
        sql += ", direccion='" + direccion + "'";
        sql += ", tipo='" + tipo1 + "'";

      } else {
        sql = "UPDATE choferes set";
        sql += " nombre='" + nombre + "'";
        sql += ", cedula='" + cedula + "'";
        sql += ", telefono='" + telefono + "'";
        sql += ", direccion='" + direccion + "'";
        sql += ", tipo='" + tipo1 + "'";
        sql += " WHERE id_chofer='" + id_chofer + "'";


      }
      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {

            noti("success", "Registro grabado con exito", "Registro grabado");
            $("#delete").hide();
            dstry();
            id_chofer = "";
            $("#modalChofer").modal('hide');
            setTimeout(function() {
              window.location.reload()
            }, 2000)

          } else {
            alert(data);

          }

        })
    }

    var nombre_chofer = ""

    function ver_chofer(id) {
      $("#delete").show();
      dstry();
      // $("#frm").trigger('reset');
      setTimeout(function() {
        $("#nombre").focus();
        $("#nombre").select();
      }, 1000);

      var sql = "select * from choferes where id_chofer='" + id + "'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (var i in rs.data) {
            id_chofer = rs.data[i].id_chofer;
            nombre_chofer = rs.data[i].nombre;

            $("#nombre").val(rs.data[i].nombre);
            $("#id-chofer").val(rs.data[i].id_chofer);

            $("#telefono").val(rs.data[i].telefono);
            $("#direccion").val(rs.data[i].direccion);
            $("#cedula").val(rs.data[i].cedula);

            $("#tipo1 option[value='" + rs.data[i].tipo + "']").prop('selected', true);
            $("#tipo2 option[value='" + rs.data[i].tipo + "']").prop('selected', true);
          }

        })
    }






    function egreso() {
      var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
      _enviar("../php/traer_datos.php", {
          sql: sql
        })
        .done(function(data) {
          if (data == "") {
            alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma");
            return;
          }
          var rs = JSON.parse(data);
          estadoCaja = rs.data[0].estado;
          secuencia = rs.data[0].id + "-" + myCaja;
          egreso_();

        })
    }
    var achofer="";
    function egreso_() {
      // if(!confirm("Seguro(a) que desea registrar este egreso?")){return;}                   

      var id = $("#id").val();
      var flete = $("#flete").val();
      var chofer = nombre_chofer;
      var concepto = "Pago flete chofer: " + $("#chofer").val() + ", por carga arroz en cascara, compra #: " + folio

      var sql = "";
      sql = "INSERT INTO egresos set ";
      sql += " monto='" + flete + "'";
      sql += ", cliente='" + chofer + "'";
      sql += ", chofer='" + chofer + "'";
      sql += ", concepto='" + concepto + "'";
      sql += ", secuencia='" + secuencia + "'";
      sql += ", usuario='" + myUser + "'";
      sql += ", tipo='Flete'";
      sql += ", fecha=NOW()";
      sql += ", hora=NOW()";



      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {

            noti("success", "Recibo de pago de flete a "+$("#chofer")+" generado satisfactoriamente", "Registro grabado");
            //$("#delete").hide();
            //dstry();
           // id_producto = "";
            //$(".modal").modal('hide');
            imprimir_egreso()
            //setTimeout(function() {
            //  window.location.reload()
           // }, 2000)

          } else {
            alert(data);

          }

        })
    }

function imprimir_egreso(){
$.get("../php/ultimo_registro.php?usuario="+myUser+"&funcion=egresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('../pos/recibo_egreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}    
  </script>